# Testing

To run the end-to-end tests the OpenAPI Python client should be generated first:
```
openapi-generator generate -i ./api.yml -g python --package-name nomilo_client -o ./python_client
```

Then install, here a virtual env is created for this purpose:
```
python -m venv env
env/bin/pip install ./python_client
```

You are now all set to run the e2e tests, note that Nomilo must be started first:
```
env/bin/python -m unittest e2e/*.py
```